package com.flossom.common.core.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 仪器列对象 wx_instrument 查询对象
 *
 * @author flossom
 * @date 2024-01-06
 */
public class WxInstrumentReq {

    /**
     * 仪器ID
     */
    private Long id;

    /**
     * 仪器名称
     */
    private String name;

    /**
     * 仪器：1、普通仪器 2、iot仪器
     */
    private Integer type;

    public WxInstrumentReq() {
    }

    public WxInstrumentReq(Long id, String name, Integer type) {
        this.id = id;
        this.name = name;
        this.type = type;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
